{
  name: "Solar Dance",
  num: -9004,
  accuracy: true,
  basePower: 0,
  category: "Status",
  pp: 5,
  priority: 0,
  flags: { snatch: 1, metronome: 1 },
  onTry(pokemon) {
    if (pokemon.hp <= Math.floor(pokemon.maxhp / 2)) {
      this.add('-fail', pokemon, 'move: Solar Dance');
      return false;
    }
    return true;
  },
  onHit(pokemon) {
    this.directDamage(Math.floor(pokemon.maxhp / 2));
    this.boost({ spa: 6 }, pokemon);
  },
  secondary: null,
  target: "self",
  type: "Fire"
}
